Skip to main content
POST
Create a Test

Path Parameters

app_id
string
required

The ID of the app

workflow_id
string
required

The ID of the workflow

Query Parameters

verbose
enum<string>[]
Available options:
all

Body

Data to create a new workflow test

name
string
required

Name of the workflow test to be created (max 256 characters)

Required string length: 1 - 256

Response

200 - application/json

Detailed information about a workflow test

id
string
required

Unique identifier for the workflow test

name
string
required

Name of the workflow test

status
enum<string>
required

Status of the workflow test

Available options:
DRAFT,
CANCELLED,
RUNNING,
FAILED,
PASSED
Example:

"PASSED"

step_key
string | null
required

Starting step key for the workflow test

expectations_passing_count
number
required

Number of passing expectations

expectations_failing_count
number
required

Number of failing expectations

workflow_id
string
required

Identifier of the associated workflow

run
object
required

Run details of the workflow test

created_at
string<date> | null
required

Creation date of the workflow test

updated_at
string<date> | null
required

Last update date of the workflow test

input
object | null

Input values for the workflow test

input_default
object | null

Default input values for the workflow test

input_context
object | null

Default input values for the workflow test

expectations
object[]

List of expectations that will be executed for the workflow test